# Logfire Terms of Service

**Last update: 2024-02-17**

Pydantic Services Inc. (**"PSI"**, **"we"**, **"us"**, or **"our"**), offers a cloud-based Observability service
(**"Logfire Cloud"**) to persons or entities (**"you"**, **"your"** or **"Customer"**) according to the
terms and conditions in these Logfire Terms of Service. Please read these Logfire Terms of Service (together with
your associated Order(s) (as defined below), the **"_Logfire Terms_"**) carefully because they govern your use of our
Services.

## 1. Your Agreement with PSI

### 1.1 Generally

You may access or use _Logfire Cloud_ subject to the terms and conditions of these _Logfire Terms_.

### 1.2 Access

By accessing or using _Logfire Cloud_, or by creating an account (the **"Account"**) to use the
_Logfire Service_, you agree to the terms and conditions of these _Logfire Terms_. If you represent an organization or entity, you
represent and warrant that you are authorized to agree to these _Logfire Terms_ on behalf of your organization, and you
agree that you are legally binding that organization to these _Logfire Terms_. If you do not agree to these _Logfire Terms_, do
not use _Logfire Cloud_.

### 1.3 Additional Features or Services

The _Logfire Cloud_ may include features or services that have separate rules
specific to such features or services. You will comply with all laws, rules, and regulations applicable to the use of
_Logfire Cloud_ and any additional feature or service you use. You understand and agree that we may change, suspend,
or discontinue any part or all of _Logfire Cloud_ at any time. We will notify you of any material change with an
adverse impact to _Logfire Cloud_ or discontinuation of _Logfire Cloud_ by email or via our Site.

### 1.4 Effective Date

The Effective Date of these _Logfire Terms_ is the earliest to occur of the effective date of your
initial Order, the date you agree to these _Logfire Terms_ by clicking "I Agree", or the date you first access or use _Logfire Cloud_.

### 1.5 Definitions

Certain terms not defined elsewhere in these _Logfire Terms_ are set forth below in Section 16 (Definitions).

## 2. Your Account and Content

### 2.1 Registration

To use _Logfire Cloud_, you must create an Account with us. You must provide complete and
accurate information during the registration process and must update your information to ensure it remains accurate. You
are responsible for all activities in your Account, regardless of whether undertaken by you, your employees, or a third
party (including contractors or agents), and we and our Affiliates are not responsible for unauthorized access to your
Account.

### 2.2 Rights to Your Content

You represent and warrant to us that (a) you have all rights in the Content necessary to
grant the rights contemplated by these _Logfire Terms_; and (b) none of the Content violates these _Logfire Terms_, any
applicable law, or any third party's intellectual property or other right. You will ensure that the Content, and your
use of it, complies with these _Logfire Terms_, including Section 5 (Acceptable Use Policy), and any applicable law. You are
responsible for properly configuring and using _Logfire Cloud_ and taking your own steps to maintain appropriate
security, protection, backups, and continuity of the Content.

### 2.3 License to Your Content

Except for the limited rights granted under these _Logfire Terms_, as between Customer and _PSI_, you retain all rights, title, and interest, including all Intellectual Property Rights, in your Content. You
consent to our use of your Content to provide the Services to you and your Authorized Users.

### 2.4 User and Performance Data

_PSI_ may store, process, and use data about Customer's use of the _Logfire Service_, including but not limited to for
the purposes of creating usage, statistics, and analytics data. _PSI_ may use such data for its own business purposes,
including to maintain and improve _Logfire Cloud_ and other services and products, to monitor and analyze its
activities in connection with the performance of such services, and to create anonymized statistics for its marketing
and other business purposes.

### 2.5 Data Privacy

Please review our [Privacy Policy](privacy.md),
which also governs your use of the Services, for information on how we collect, use, and share your personal data.
The terms of the [data processing addendum](data_processing_addendum.md)
("DPA") posted as of the Effective Date are hereby incorporated by reference. We will only use your Account Information
in accordance with the Privacy Policy, and you consent to such usage. The Privacy Policy does not apply to your Content.

## 3. Logfire Cloud Services

### 3.1 License to _Logfire Cloud_

Subject to payment of all applicable fees to us, we grant you a limited,
world-wide, non-exclusive, non-transferable right and license (without right to sublicense) to access and use the
_Logfire Service_ in accordance with the terms of these _Logfire Terms_.

### 3.2 Changes to _Logfire Cloud_

_PSI_ will provide _Logfire Cloud_ to the Customer substantially as set
out in these _Logfire Terms_. The scope of _Logfire Cloud_ is not fixed, but may vary depending on which _Logfire Cloud_
the Customer chooses to order from time to time, selected from _Logfire Cloud_ made available by _PSI_. _PSI_
will have the right to make changes to _Logfire Cloud_ at any time.

### 3.3 Orders

The Customer may, from time to time, make Orders from _PSI_, including automatically by using APIs
of _Logfire Cloud_ or through the Site. The Customer shall be responsible for any Orders made under the Customer's
Account, whether by the Customer itself, by its Authorized Users, by the Customer's data systems automatically, or by
unauthorized access to or use of your Account, and Customer shall be responsible for the payment of all fees based on
Orders made under the Customer's Account.

### 3.4 Service Levels

_PSI_ will use commercially reasonable efforts to provide the _Logfire Cloud_ to you
in accordance with the _PSI_ Service Level Agreement ("SLA"), currently available [here](service_level_agreement.md),
and which may be modified from time to time. Except as set forth in the SLA, however, _Logfire Cloud_ are not subject to
any particular service levels or service availability, and they are provided to the Customer strictly on an "as is" and
"as available" basis.

_PSI_ makes no representation nor warrants the availability of _Logfire Cloud_ service at any
particular time. You acknowledge and agree that the Service Levels as set forth in the SLA are performance targets only
and any failure of _PSI_ to meet any service level will not result in any breach of these _Logfire Terms_. The SLA sets
forth all of _PSI_'s commitments, and all remedies available to you, with respect to the availability of
_Logfire Service_. Any compensation set out in connection with such service availability according to the SLA shall be the
Customer's sole remedy and _PSI_'s sole liability as regards any non-compliance with such service availability, and
such non-compliance shall not constitute a breach of these _Logfire Terms_.

### 3.5 Subcontractors

_PSI_ may use subcontractors in the performance of its obligations and exercise of its
rights under these _Logfire Terms_.

### 3.6 Beta Offering

_PSI_ may make available to Customers certain features, technologies, products, software, and
services that are not yet generally available, which may be labeled or otherwise described as in "preview",
"pre-release", "early access", "experimental", "testing", "pre-production", "alpha", or "beta" (each, a **"Beta
Offering"**), for the purpose of evaluating performance, identifying defects, and obtaining feedback. We have no
obligation to release a final version of any Beta Offering, nor offer upgrades or migrations between versions of the
Beta Offering or between a Beta Offering and a generally available version. Notwithstanding anything to the contrary in
the Agreement, after suspension or termination of Customer's access to or use of any Beta Offering for any reason,
Customer may not have any further right to access or use the applicable Beta Offering, and any Content stored in or
processed by the Beta Offering may be deleted or inaccessible.

### 3.7 Support Services

_PSI_ may provide Support Services for _Logfire Cloud_. If Customer does not purchase a
different level of Support Services, _PSI_ may provide a "basic" or "free" level of Support Services. If you
purchase Support Services, we will provide these Support Services in accordance with the applicable Support Agreement,
and which may be modified from time to time. By purchasing Support Services, you accept and agree to be bound by
the terms of the Support Agreement.

## 4. Your Obligations

### 4.1 Customer Obligations

The Customer will be solely responsible for its and its Authorized Users' compliance with
these _Logfire Terms_, including any breach of these _Logfire Terms_ by Customer or its Authorized Users. The Customer and its
Authorized Users must use _Logfire Cloud_ in accordance with Section 5 (Acceptable Use Policy), and will be solely
responsible for ensuring its adherence to this policy.

### 4.2 Authorized Users

The Customer may authorize its Authorized Users to use _Logfire Cloud_ under the Customer's
Account, including for the purposes of accessing the Customer's Content. The Customer must ensure that any users it
authorizes to use _Logfire Cloud_ under the Customer's Account comply with these _Logfire Terms_ at all times, including
in accordance with Section 5 (Acceptable Use Policy). The Customer will be responsible for any use of _Logfire Cloud_
under the Customer's Account and any use by its Authorized Users, including any breach of these _Logfire Terms_.

### 4.3 Customer Systems

The Customer will be responsible for its own devices, systems, applications, connections, and
software used to access _Logfire Cloud_. The Customer will be responsible for the protection of its data
communications and data systems, and for the costs for communications and other comparable costs related to use of _Logfire Cloud_.

### 4.4 Your Account

The Customer must use commercially reasonable efforts to prevent unauthorized access to or use of
its Account, including ensuring that its Authorized Users maintain their access credentials (e.g., usernames, passwords,
multi-factor authentication information, etc.) in a responsible manner. The Customer and its Authorized Users must not
disclose their access credentials to any unauthorized persons. The Customer must contact us immediately if it believes
any unauthorized activity has occurred in its Account or any of its Account information has been lost, compromised, or
revealed to a third party. The Customer and its Authorized Users must change their access credentials upon request by
_PSI_.

## 5. Acceptable Use Policy

### 5.1 Restrictions

You must not (a) modify, alter, tamper with, repair, or create derivative works of any software
included in _Logfire Cloud_; (b) reverse engineer, disassemble, or decompile _Logfire Cloud_ or apply any other
process or procedure to derive the source code of any software included in _Logfire Cloud_; (c) use the
_Logfire Service_ in connection with any fork or derivative work of Logfire Software, unless otherwise explicitly authorized by
_PSI_ in writing; or (d) resell, sublicense, rent, or lease _Logfire Cloud_ to any third party, unless otherwise
explicitly authorized by _PSI_ in writing.

### 5.2 Unauthorized Access and Activities

You must not:

1. Disable, interfere with, or circumvent any aspect of _Logfire Cloud_;
2. Attempt to disable or circumvent any security mechanisms used by _Logfire Cloud_;
3. Perform any security penetration tests, load tests, or security assessment activities, unless otherwise explicitly
   authorized by _PSI_'s CEO (Samuel Colvin) in writing;
4. Access or use _Logfire Cloud_ in a way intended to avoid
   incurring fees or exceeding usage limits or quotas;
5. Use _Logfire Cloud_, or any interfaces provided with _Logfire Cloud_, to access any other product or service of
   _PSI_ or its subcontractors in a manner that violates
  their applicable Terms of Service;
6. Use _Logfire Cloud_ in a way that poses a risk to _Logfire Cloud_ or any third party; or
7. Interfere with the use of _Logfire Cloud_, or the equipment used to provide _Logfire Cloud_, by others.

### 5.3 Prohibited Use of _Logfire Cloud_

You must not use _Logfire Cloud_ (a) to violate, or encourage the
violation of, the legal rights (including without limitation Intellectual Property Rights) of others; (b) to engage in,
promote, or encourage any illegal activity; (c) for any unlawful, invasive, infringing, defamatory, offensive, harmful,
or fraudulent purpose; (d) to intentionally distribute viruses, worms, Trojan horses, corrupted files, hoaxes, or other
items of a destructive or deceptive nature; (e) to violate security or integrity of any network, computer,
communications system, software application, or service (such violations to include without limitation unauthorized
access, interception of data or traffic, or falsification of origin); (f) to make connections to any users, hosts, or
networks unless the Customer has permission to communicate with them (such network abuses to include without limitation
monitoring or crawling, denial of service attacks, intentional interference, operating open proxies, open mail relays or
open recursive domain name servers, or to avoiding system restrictions); (g) to generate, distribute, publish, or
facilitate unsolicited or unlawful email or other messages, or promotions or other solicitations of any kind; or (h) for
hazardous or mission-critical circumstances or for uses requiring fail-safe performance, or where failure could lead to
death, personal injury, or environmental damage, and you further acknowledge that _Logfire Cloud_ are not designed or
intended for such use and _PSI_ bears no responsibility for any harmful impact resulting from such use.

### 5.4 Unauthorized Content

You must not submit, store, or process Content in _Logfire Cloud_ that

1. Is illegal, harmful, fraudulent, infringing, offensive, or in violation of privacy rights;
2. Violates these _Logfire Terms_, any application law, or any third-party's Intellectual Property Rights or other rights;
3. Constitutes protected health information; or
4. Entails cardholder or sensitive authentication data unless such data is message-level encrypted by you.

### 5.5 Compliance with Laws

You must only use _Logfire Cloud_ in accordance with applicable laws and government
regulations.

### 5.6 Review of Use

_PSI_ and its subcontractors may review the Customer's use of _Logfire Cloud_, including
the Content and Customer's data, to ensure compliance with the acceptable use policy, to discontinue any use by the
Customer of _Logfire Cloud_, and to remove any non-compliant data of the Customer. _PSI_ and its subcontractors
may report suspected infringing activities to officials, regulators, or other appropriate third parties, including the
disclosure of appropriate information regarding the Customer.

### 5.7 Cessation of Non-Compliant Use

If the Customer becomes aware that its use of _Logfire Cloud_ does not comply
with these _Logfire Terms_, the Customer must immediately cease its non-compliant use of _Logfire Cloud_. The Customer
must immediately comply with any requests of _PSI_ relating to the ceasing of any non-compliant use of the
_Logfire Service_.

## 6. Orders, Fees, and Payment

### 6.1 Orders Generally

All Orders are subject to the terms of these _Logfire Terms_ and are not binding until accepted by
_PSI_. Orders created by Customer through _Logfire Cloud_ are deemed accepted when _PSI_ provides access to
the service environment selected by Customer. _PSI_ may place controls and restrict the Customer's Orders of
_Logfire Cloud_ at its sole discretion. All Orders are non-refundable except as expressly provided in these
_Logfire Terms_.

## 6.2 Fees and Payment

The Customer must pay _PSI_ all fees incurred for its usage of _Logfire Cloud_ and any
additional fees specified in Orders. Where _Logfire Cloud_ are offered on a free trial basis, payment will be
required after the free trial period ends. Unless agreed otherwise in a written Order between the Parties, Customer's
use of _Logfire Cloud_ is subject to the fee schedule specified by the Site. The fees will be calculated and billed
monthly in arrears. If you choose monthly billing by credit card, you authorize a recurring monthly charge to your
credit card based on our current fee schedule for _Logfire Cloud_ specified by the Site and any additional fees
specified in Orders, and you must pay us the applicable fees and charges using your credit card. If paid by credit card,
all amounts payable to _PSI_ under these _Logfire Terms_ are due and must be paid within one (1) day from the end of a
billing cycle by Customer. If we send a separate invoice for payment rather than use credit card processing, all amounts
payable to _PSI_ under these _Logfire Terms_ are due and must be paid within fourteen (14) days from the date of invoice
by Customer. All amounts paid are non-refundable.

### 6.3 Taxes

All rates and fees are set out without value added tax (VAT) or any other applicable sales tax, which may
be added to the fees of your monthly bill or invoice in accordance with the then-applicable tax laws and regulations,
and you must inform us of your correct location to assist with determining the appropriate tax. Customer is otherwise
responsible for and will pay all applicable customs, duties, sales, use, value added, withholding, or other taxes,
federal, state or otherwise, however designated, which are levied or imposed because of the transactions contemplated by
these _Logfire Terms_, excluding only taxes based on _PSI_'s net income. If Customer is compelled to make a deduction or
set-off for any such taxes, Customer must pay _PSI_ such additional amounts as necessary to ensure receipt by
_PSI_ of the full amount _PSI_ would have received but for the deduction.

### 6.4 Credit Card Processing

For Orders that require payment by credit card, _PSI_ uses a third-party credit card
processing service to process payments. Customer consents to the use of such service and to the transfer of Customer's
credit card details (including any personal data contained therein) to such third-party processors. Customer agrees to
be bound by any separate terms applicable to the processing service. Customer's credit card will be charged fees
automatically for Customer's use of _Logfire Cloud_ at the end of each billing cycle. Currently, this third-party
credit card processing service is [Stripe, Inc.](https://stripe.com); the Customer is familiar and agrees to be bound
by any third-party terms applicable to the Stripe service.

### 6.5 Late Payments

Late payments may bear interest at the rate of 1.5% per month (or the highest rate permitted by
law, if less) from the payment due date until paid in full.

### 6.6 Changes to Fee Schedules

We may change the fee schedule for a _Logfire Cloud_, including by increasing fees or
charges, by updating the Site. In the event that we change the fee schedule for _Logfire Cloud_, the fees payable by
you will increase or decrease in accordance with any such modification upon the date specified by the Site. You are
deemed to accept the new fee schedule, and be responsible for any fees incurred under the new fee schedule, by
continuing to use _Logfire Cloud_ after the specified date.

## 7. Suspension and Discontinuation of Service

### 7.1

_PSI_ may suspend _Logfire Cloud_ immediately for a reasonable period of time in order to perform
installation, change, or maintenance work to _Logfire Cloud_, including by itself or by the network or hosting
providers or others used by _PSI_ to implement _Logfire Cloud_.

### 7.2

_PSI_ may suspend, limit, or terminate the Customer's access to or use of _Logfire Cloud_, or may
suspend, limit, terminate, or delete the Content and any other Customer data and services, including any backups
thereof, immediately (a) due to a data security risk to _Logfire Cloud_; (b) we reasonably determine that your use of
_Logfire Cloud_ poses a risk to _Logfire Cloud_ or to other users of _Logfire Cloud_; (c) we change the way we
provide or discontinue any _Logfire Cloud_; (d) if law or administrative order requires us to do so; (e) if we become
aware of or reasonably suspect any activities of Customer or its Authorized Users that infringe on the policies set out
in Section 5 (Acceptable Use Policy); or (f) if we become aware of or reasonably suspect _Logfire Cloud_ are used
contrary to or for a purpose prohibited by these _Logfire Terms_, applicable laws, or administrative orders.

### 7.3

_PSI_ may suspend, limit, or terminate the Customer's access to or use of _Logfire Cloud_ or Support
Services, or may suspend, limit, terminate, or delete the Content and any Customer data and services, including any
backups thereof, immediately if (a) if the Customer does not pay in full the fees due under these _Logfire Terms_ by their
due date; (b) _PSI_ has reasonable belief that the Customer will not pay in full the fees due under these Cloud
Terms by their due date; (c) the Customer does not have a valid payment method associated with its Account and is not
within the term of a free trial; or (d) the Customer is within the term of a free trial or otherwise has not accrued any
fees due under these _Logfire Terms_. This suspension or limited access may continue until the Customer has paid all fees in
full and/or has associated a valid payment method with its Account. _PSI_ may notify you with warnings before and
may notify you after it takes any such action.

### 7.4

_PSI_ may suspend, limit, or terminate the Customer's access to or use of any Beta Offering, or may suspend,
limit, terminate, or delete the Content and any Customer data and services associated with any Beta Offering, including
any backups thereof, immediately at any time and for any reason.

### 7.5

The Customer understands that _Logfire Cloud_ are hosted by a third-party hosting provider used by _PSI_
to implement _Logfire Cloud_. Such hosting providers may discontinue or modify their hosting at any time. _PSI_
is not liable in any way for any discontinuation or modifications of such services provided by hosting providers or
other subcontractors.

### 7.6

If _PSI_ suspends, limits, or terminates the Customer's access to or use of any portion or all of the
_Logfire Service_, the Customer remains responsible for all fees incurred during the suspension and will not be entitled to any
credit or refund.

## 8. Processing Personal Data

### 8.1

The terms of the _PSI_ Data Processing Addendum (available [here](data_processing_addendum.md)) (the **"DPA"**)
are hereby incorporated by reference and will
apply to the extent any Content includes Customer Personal Data (as defined in the DPA). The DPA sets out how we will
process Customer Personal Data on your behalf in connection with _Logfire Cloud_ provided to you under these Cloud
Terms. We will maintain commercially appropriate administrative, physical, and technical safeguards to protect Customer
Personal Data as described in the DPA, including our security measures in Annex 2 of our DPA Standard Contractual
Clauses.

## 9. Intellectual Property Rights and Ownership

### 9.1 _PSI_ Rights

_PSI_ or its licensors retain all rights, title, and interest, including all Intellectual
Property Rights, in and to _Logfire Cloud_; the Logfire Software, including all related and underlying technology
and documentation; and any derivative works, changes, corrections, bug fixes, enhancements, updates, modifications, or
improvements of any of the foregoing ("**Modifications**"), and including any Feedback (collectively, the "**_PSI_
Materials**"). Except for the express limited rights set forth under these _Logfire Terms_, no right, title, or interest in
any _PSI_ Materials is granted to Customer. Customer acknowledges that the licenses granted in these _Logfire Terms_ do
not include the right to prepare any Modifications of the _PSI_ Materials. _PSI_ reserves all rights not
expressly granted in these _Logfire Terms_. No rights are granted by implication.

### 9.2 Feedback

You are not obligated to provide us with any suggestions, enhancement requests, recommendations, or
other feedback about _Logfire Cloud_, _PSI_'s products and services, or otherwise ("**Feedback**"), but if you
do, _PSI_ may freely use, incorporate, and modify such Feedback into Logfire Software, products, and services
without any restriction or payment.

## 10. Confidentiality

### 10.1 Confidential Information

Each party shall retain in confidence all Confidential Information disclosed or made
available by the other party. For purposes of these _Logfire Terms_, "**Confidential Information**" means any technical or
business information disclosed by one party to the other party that: (a) if disclosed in writing, is marked
"confidential" or "proprietary" at the time of such disclosure; (b) if disclosed orally, is identified as "confidential"
or "proprietary" at the time of such disclosure, and is summarized in writing sent by the disclosing party to the
receiving party within thirty (30) days after any such disclosure; or (c) under the circumstances, a person exercising
reasonable business judgment would understand to be confidential or proprietary. Notwithstanding any failure to so
designate it, the _PSI_ Materials are _PSI_'s Confidential Information and Content is Customer's Confidential
Information.

### 10.2 Confidentiality Obligations

Each party shall (a) maintain the confidentiality of the other party's
Confidential Information using at least a reasonable degree of care; (b) refrain from using the other party's
Confidential Information except for the purpose of performing its obligations under these _Logfire Terms_; and (c) not
disclose Confidential Information to any third party except to employees, subcontractors, and agent as is reasonably
required in connection with these _Logfire Terms_ and who are subject to confidentiality obligations at least as protective
as those set forth in this Section 10.

### 10.3 Confidentiality Limitations

The confidentiality obligations will not apply to any Confidential Information of
the other party which (a) is now or hereafter becomes generally known or available to the public, through no act or
omission on the part of the receiving party; (b) was known, without restriction as to use or disclosure, by the
receiving party prior to receiving such information from the disclosing party; (c) is rightfully acquired by the
receiving party from a third party who has the right to disclose it and who provides it without restriction as to use or
disclosure; or (d) is independently developed by the receiving party without access to any Confidential Information of
the disclosing party. The receiving party may disclose Confidential Information to the extent required by any law or
regulation or by order of a court or governmental body of competent jurisdiction, provided that the receiving party uses
reasonable efforts to give the disclosing party reasonable advance notice of such required disclosure in order to enable
the disclosing party to prevent or limit such disclosure ("**Permitted Disclosures**"). _PSI_ will have no
obligation under this Section 10 for any Content or other data that Customer transmits to _Logfire Cloud_ in breach of
Section 5 (Acceptable Use Policy).

### 10.4 Other Confidentiality Terms

Each party shall immediately notify the other party of any unauthorized disclosure
or use of any Confidential Information and assist the other party in remedying such unauthorized use or disclosure by
taking such steps as are reasonably requested by such other party. The provisions of this Section 10 shall supersede any
non-disclosure agreement by and between the Parties (whether entered into before, on, or after the Effective Date) that
would purport to address the confidentiality and security of Content and such agreement shall have no further force or
effect with respect to Content.

### 10.5 Injunctive Relief

Any breach or threatened breach of this Section 10 may cause irreparable harm to the
disclosing party for which there is no adequate remedy at law. Therefore, the disclosing party will be entitled to seek
injunctive relief without the necessity of proving actual damages or posting a bond, in addition to any other remedies
available at law.

### 10.6 Confidentiality Period

The rights and obligations related to the Confidential Information shall survive the
termination of these _Logfire Terms_ for a period of three (3) years from such termination. Notwithstanding the foregoing,
the receiving party's obligations with respect to Confidential Information will survive termination of this Agreement so
long as the disclosing party is entitled to claim trade secret protections in the Confidential Information.

## 11. Warranties and Disclaimers

_PSI_ does not make or give any representation or warranty or condition of any kind, whether such representation,
warranty, or condition be express, implied, statutory, or otherwise, with respect to the _logfire cloud_, _PSI_
software, support services, or any materials provided hereunder. _PSI_ specifically disclaims all other warranties,
express and implied, including without limitation the implied warranties of merchantability, title, quality,
non-infringement, and fitness for a particular purpose, and any representation, warranty, or condition from course of
dealing or usage of trade. The _logfire cloud_ are provided on an "as is" basis, and _PSI_ does not warrant that the
_logfire cloud_ or _PSI_ software will operate uninterrupted or error free, or that all errors will be corrected.

## 12. Indemnification

### 12.1 Customer Indemnification

Customer will defend _PSI_ and our Affiliates and licensors from and against any
third-party claim, demand, or lawsuit (collectively, "Claims") arising out of or relating to (a) your use of the
_Logfire Service_ (including any activities under your Account and use by your employees and personnel) in breach of Section 5
(Acceptable Use Policy); (b) any breach of these _Logfire Terms_ or violation of applicable laws, rules, or regulations by
you, including in connection with _Logfire Cloud_; or (c) any Content or the combination of any Content with other
applications, content, services, or processes, including any Claim involving alleged infringement or misappropriation of
Intellectual Property Rights or other third-party rights. Customer will pay any damages, costs, losses, and expenses
(including reasonable legal fees and other costs of defense) incurred by _PSI_ in connection with any Claim,
including but not limited to amounts paid by _PSI_ to settle such Claim. If we or our affiliates are obligated to
respond to a third-party subpoena or other compulsory legal order or process, you will also reimburse us for reasonable
legal fees, as well as our employees' and contractors' time and materials spent responding to the third-party subpoena
or other compulsory legal order or process at our then-current hourly rates.

### 12.2 _PSI_ Indemnification

_PSI_ will defend Customer from and against any Claim arising out of the alleged
infringement of a third party's Intellectual Property Rights by (a) _PSI_'s observability technology used to deliver the
_Logfire Service_, and (b) any Logfire Software expressly licensed under an Order (together, the "**Logfire Technology**"),
and _PSI_ will pay such damages or costs as are finally awarded against Customer or agreed to in settlement
attributable to any such action. Notwithstanding the foregoing, _PSI_ assumes no liability hereunder for any claim
of infringement to the extent based on: (a) Content; (b) use of software other than a current, unaltered release of the
Logfire Software, as provided by _PSI_ to Customer; (c) the combination, operation, or use of the _PSI_
Technology with equipment, devices, software, services, or data (including without limitation the Content) not supplied
by _PSI_, if a claim would not have occurred but for such combination, operation, or use; (d) any alteration or
modification of the Logfire Software or _Logfire Cloud_ by a party other than _PSI_; (e) open source software; or
(f) use of the Logfire Technology other than in accordance with the Documentation and these _Logfire Terms_. In addition
to _PSI_'s indemnity obligations, if the Logfire Technology becomes, or in _PSI_'s opinion is likely to
become, the subject of an infringement claim, _PSI_ may at its sole option and expense and as Customer's sole and
exclusive remedy, either: (a) procure for Customer the right to use the allegedly infringing element of the _PSI_
Technology, at no charge to Customer; (b) replace or modify, in whole or in part, the Logfire Technology to make it
non-infringing; or (c) terminate the applicable Order, and refund a pro rata portion of any fees pre-paid by Customer
for the terminated _Logfire Cloud_. THIS SECTION SETS FORTH _PSI_'S ENTIRE LIABILITY AND OBLIGATION AND CUSTOMER'S
SOLE REMEDY FOR ANY CLAIM OF INFRINGEMENT OF ANY INTELLECTUAL PROPERTY RIGHTS.

### 12.3 Indemnification Procedures

Each party will provide the other with prompt notice of any claim. The failure of a
party seeking indemnification (an "**Indemnitee**") to provide prompt notice to the indemnifying party (an
"**Indemnitor**") relieves the Indemnitor of its obligation to defend and indemnify the Indemnitee only to the extent
that the failure to provide notice materially harms the Indemnitor's ability to defend the claim. The Indemnitor will
have sole control of the defense (including selection of counsel) and settlement of the claim, provided any settlement
releases Indemnitee from all liability. The Indemnitee will provide the Indemnitor, at Indemnitor's expense, with all
assistance, information, and authority reasonably required for the defense and settlement of the claim. The Indemnitee
will preserve and will not waive legal, professional, or any other privilege attaching to any of the records, documents,
or other information in relation to such claim without prior notification of consent by the Indemnitor. The Indemnitee
has the right to retain counsel, at the Indemnitee's expense, to participate in the defense or settlement of any claim.
The Indemnitor will not be liable for any settlement or compromise that an Indemnitee enters into without the
Indemnitor's prior written consent.

## 13. Limitation of Liability

### 13.1

_PSI_ and our affiliates and licensors will not be liable to customer for any indirect, incidental,
special, consequential, punitive, or exemplary damages, or for (to the extent the following are not categorized as the
foregoing excluded damages) for loss of business, contracts, revenue, profits, goodwill, production, anticipated
savings, use, or data, or for any claim or demand by any other party, however caused and under any theory of liability
(including contract, negligence or other tort, or intellectual property infringement) even if such party has been
advised of the possibility of such damages.

### 13.2

_PSI_ and our affiliates and licensors will not be responsible for any compensation, reimbursement, or
direct damages arising in connection with:

* (a) Your inability to use the _Logfire Cloud_;
* (b) The cost of procurement of substitute goods or services;
* (c) Any investments, expenditures, or commitments by you in connection with these logfire terms or your use of or
  access to the _Logfire Cloud_;
* (d) Any unauthorized access to or disclosure of, alteration of, deletion, destruction, damage, loss, or failure to
  store any of your content or other data; or
* (e) Any act or omission of a hosting provider.

### 13.3

_PSI_ and our affiliates' and licensors' aggregate liability under these _Logfire Terms_ will be limited to
(a) the amount you actually pay us under these _Logfire Terms_ for _Logfire Cloud_ that gave rise to the claim during the 6
months immediately preceding the incident giving rise to the claim, or (b) fifty thousand USD ($50,000),
whichever is less. These limitations shall apply notwithstanding any failure of essential purpose of any limited remedy.

## 14. Term and Termination

### 14.1 Term

These _Logfire Terms_ commence on the Effective Date and will remain in effect until the termination or
expiration of all Orders governed by these _Logfire Terms_, unless earlier terminated as provided below.

### 14.2 Termination

These _Logfire Terms_ begin on the Effective Date and will remain in effect until terminated in
accordance with this Section 14. Unless you have entered into an Order stating otherwise, including a specific
subscription period for the Order, Customer may terminate an Order or _Logfire Cloud_ at any time by following the
process in the Site or via APIs to "delete" Customer's purchased _Logfire Cloud_. The termination of an Order or _Logfire Cloud_ will not automatically result in the termination of your Account and of these _Logfire Terms_. Unless you
have entered into an Order stating otherwise, you may terminate your Account and these _Logfire Terms_ by sending us a
written notice of termination. Either party may terminate these _Logfire Terms_ or an Order upon written notice in the event
the other party materially breaches these _Logfire Terms_ and such breach is not cured within thirty days after written
notice of such breach. _PSI_ may also terminate these _Logfire Terms_ for convenience by providing you thirty days
advance notice. Either party may also terminate these _Logfire Terms_ immediately if the other party (a) terminates or
suspends its business, or ceases to operate in the ordinary course; (b) makes an assignment for the benefit of creditors
or similar disposition of its assets; (c) becomes subject to any bankruptcy, reorganization, dissolution, insolvency, or
similar proceeding; (d) becomes insolvent or subject to direct control by a trustee, receiver, or similar authority; or
(e) has wound up or liquidated, voluntarily or otherwise.

### 14.3 Effect of Termination

Upon termination or expiration of these _Logfire Terms_, (a) all your rights and all our
obligations under these _Logfire Terms_ immediately terminate; and (b) you remain responsible for all fees and charges you
have incurred up to and including the date of termination, which will become immediately due and will remain subject to
the terms of Section 6. Upon termination of these _Logfire Terms_ or expiration of an Order, Customer will immediately cease
use of _Logfire Cloud_ and Logfire Software, and if applicable, the Support Services. Customer is solely
responsible for exporting Content from _Logfire Cloud_ prior to expiration or termination of these _Logfire Terms_. We
have no obligation to continue to store your Content from a _Logfire Cloud_, including in data backups, after you have
terminated _Logfire Cloud_ or after termination of these _Logfire Terms_. Customer acknowledges that following termination
it will have no further access to any Content. Notwithstanding the above, upon termination or expiration of these Cloud
Terms, the provisions of Sections 9, 10 (for the duration set forth in Section 10.6), 11, 13, 14.3, 15, and 16 will
survive and continue in full force and effect.

## 15. General

### 15.1 Relationship

We and you are independent contractors, and neither party, nor any of their respective
Affiliates, is an agent of the other for any purpose or has any right or authority to assume or create any obligations
or to make any representations or warranties on behalf of the other party, whether express or implied, or to bind the
other party in any respect. Unless otherwise specifically stated, the terms of these _Logfire Terms_ are intended to be and
are solely for the benefit of _PSI_ and Customer and do not create any right in favor of any third party.

### 15.2 Assignment

Neither party may assign these _Logfire Terms_ or any of its rights or obligations hereunder without
the prior written consent of the other party, which shall not be unreasonably withheld, and any such assignment in
violation of this Section shall be void, except that (a) either party may assign these _Logfire Terms_ or rights granted
hereunder to an Affiliate without the consent of the other party and (b) the transfer of these _Logfire Terms_ or rights
granted hereunder to a successor entity in the event of a merger, corporate reorganization, or acquisition shall not
constitute an assignment for purposes of this Section.

### 15.3 Governing Law

These _Logfire Terms_ will be governed by the laws of the State of New York, without reference to
the principles of conflicts of law. The Parties acknowledge and agree that these _Logfire Terms_ relates solely to the
performance of services (not the sale of goods) and, accordingly, will not be governed by the Uniform Commercial Code of
any State having jurisdiction. In addition, the provisions of the Uniform Computerized Information Transaction Act and
United Nations Convention on Contracts for the International Sale of Goods will not apply to these _Logfire Terms_.

### 15.4 Consent to Jurisdiction

You must attempt to resolve any dispute related to these _Logfire Terms_ informally,
initially through our respective management, and then by non-binding mediation in New York County, New York. Any
litigation related to these _Logfire Terms_ shall be brought in the state or federal courts located in New York County, New
York, and only in those courts and you irrevocably waive any objections to such venue. _PSI_ retains the right to
claim unpaid fees in a public court.

### 15.5 Notice

All communications and notices to be made or given pursuant to these _Logfire Terms_ must be in English. We
may provide any notice to you under these _Logfire Terms_ by posting a notice on the Site or by sending a message to an
email address associated with your Account. You will be deemed to have received any email sent to an email address then
associated with your Account when we send the email, whether or not you actually receive the email. To give us notice
under these _Logfire Terms_, you must: Email us at [legal@pydantic.dev](mailto:legal@pydantic.dev).

### 15.6 Trade Compliance

Customer will comply fully with all applicable export control and sanctions laws and
regulations of any country (including the U.S.) having competent jurisdiction to ensure that no services, payments, or
other deliverables provided under these _Logfire Terms_ are: (i) provided to, purchased by, routed through, or used for the
direct benefit of any party subject to the restriction of a sanctions or export denial list; (ii) used in any country or
region subject to comprehensive sanctions ; (iii) used for any purpose prohibited under applicable export control and
sanctions laws and regulations, including, but not limited to, nuclear, chemical, or biological weapons proliferation;
or (iv) for any other use requiring a license or other governmental approval where such authorization has not been
obtained. Customer will not provide to _PSI_ any materials, information, software, technology, or technical data
that is export controlled at a level higher than EAR99 under the U.S. Export Administration Regulations or on any other
dual-use or munitions export control list. If _PSI_ determines that Customer has breached its obligations under this
section, becomes subject to sanctions or an export denial, uses a sanctioned bank for processing of payments under this
agreement, or there is a change in applicable sanctions or export control laws that make performance of these Cloud
Terms impermissible or practically infeasible, _PSI_ shall have the right to suspend or terminate the _Logfire Terms_
and _Logfire Cloud_, if continued performance could result in _PSI_ being in violation, or subject to negative
consequences, under the applicable export control and sanctions laws and regulations.

### 15.7 U.S. Government Rights

The _Logfire Cloud_, Support Services, and Logfire Software, including all related
Logfire technology and content, are "commercial computer software", "commercial computer software documentation",
and/or "commercial items" as those terms are described in DFAR 252.227-7014(a)(1) and in the FAR at 48 C.F.R. 2.101, and
they are provided for ultimate U.S. federal government end use solely with government technical data and software rights
that include only those rights customarily provided to the public as defined in these _Logfire Terms_. This customary
commercial license is provided in accordance with FAR 12.211 (Technical Data) and FAR 12.212 (Software) and, for
Department of Defense transactions, DFAR 252.227-7015 (Technical Data -- Commercial Items) and DFAR 227.7202 (Commercial
computer software and commercial computer software documentation).

### 15.8 Third Party Software

In addition to the Logfire Software, _PSI_ also makes available certain third-party
open source software as identified in the applicable help, notices, about, or source files ("**Third Party Software**").
The Third Party Software shall be subject to the applicable open source license(s) and not these _Logfire Terms_. _PSI_
makes no warranties, express or implied, and will not be obligated under Section 12 (Indemnification) with respect to
any Third Party Software. To the extent the terms of open source licenses applicable to Third Party Software prohibit
any of the restrictions in these _Logfire Terms_, such restrictions will not apply to such Third Party Software. To the
extent the terms of open source licenses applicable to Third Party Software require _PSI_ to make an offer to
provide source code or related information in connection with the Third Party Software, such offer is made.

### 15.9 Use of Name and Logo

_PSI_ will obtain written agreement from any Customer before using their trade names, services marks, or logos
in marketing materials, customer lists, press releases, articles, websites, advertisements, or other promotional activities.

### 15.10 Force Majeure

You understand and agree that your use of _Logfire Cloud_ may be delayed or interrupted by
causes beyond our reasonable control, and we are not liable for any delay or failure to perform any obligation under
these _Logfire Terms_, or any damages or consequences thereof, where the delay or failure results from any cause beyond our
reasonable control. Such causes beyond our reasonable control include, without limitation, acts of God; acts or orders
of government; changes in law or regulations; epidemics and pandemics; flood, fire, earthquakes, storms, or other
elements of nature; blockages, embargoes, riots, civil unrest, acts of terrorism, or wars; strikes, lockouts, labor
disputes, or other industrial disturbances; destruction of production facilities; systemic electrical,
telecommunications or other utility failures; computer, telecommunications, the Internet, Internet service provider,
hosting provider, or hosting facility failures or delays involving hardware, software, or power systems not within our
possession or reasonable control; network intrusions or denial of service attacks; or any other cause, whether similar
or dissimilar to any of the foregoing, that is beyond our reasonable control (individually or collectively as
applicable, "Force Majeure"). A Force Majeure event suffered by a subcontractor of _PSI_ shall also discharge us
from liability, if the work to be performed under subcontracting cannot be done or acquired from another source without
incurring unreasonable costs or significant loss of time.

### 15.11 Entire agreement

These _Logfire Terms_ constitute the entire agreement between the Parties relating to the
subject matter of these _Logfire Terms_. Orders will be for the sole purpose of defining quantities, prices, and describing
the services to be provided under these _Logfire Terms_, and Orders are incorporated as a part of these _Logfire Terms_ to this
extent only; all other terms in Orders are rejected. These _Logfire Terms_ supersede all prior or contemporaneous
representations, understandings, proposals, agreements, or communications between you and us, whether written or verbal,
relating the subject matter of these _Logfire Terms_. You acknowledge that you have not relied on any representations other
than those contained in these _Logfire Terms_. No waiver of any provision of these _Logfire Terms_ will be effective unless in
writing and signed by both Parties.

### 15.12 Severability; Failure to Enforce

If any provision of these _Logfire Terms_ is held to be invalid or
unenforceable, the remaining portions will remain in full force and effect and such provision will be enforced to the
maximum extent possible so as to effect the intent of the Parties and will be reformed to the extent necessary to make
such provision valid and enforceable. Our failure to enforce any provision of these _Logfire Terms_ will not constitute a
present or future waiver of such provision nor limit our right to enforce such provision at a later time.

### 15.13 Amendments

We may amend these _Logfire Terms_ at any time by posting a revised version on the Site or by
otherwise notifying you by email. Amended Terms of Service become effective upon posting on the Site or as stated in our
email notice message. By continuing to use _Logfire Cloud_ after the effective date of any amendment to these Cloud
Terms, you agree to be bound by the amended Terms of Service. Your sole remedy should you not agree with the altered
_Logfire Terms_ shall be to cease your use of _Logfire Cloud_ and to comply with your termination obligations outlined in
Section 14. Please check the Site regularly. We last amended these _Logfire Terms_ on the date listed at the beginning of
these _Logfire Terms_.

## 16. Definitions

### Affiliate

Means an entity that a party, directly or indirectly, controls, an entity that controls a party or an
entity that is under common control with a party. "Control" means ownership of at least fifty percent (50%) of the
outstanding voting shares of the entity.

### Authorized User

Means employee, contractor, or individual that:

1. We authorize to access, view, or use the Services
2. Signs up for an Account in accordance with _PSI_'s then current account registration procedures, and
3. Assents to these _Logfire Terms_ or other applicable agreement with _PSI_.

### Content

Means all data and information transmitted to _Logfire Cloud_ by Customer, its Authorized Users, or on
Customer's behalf.

### Documentation

Means the standard user documentation for the Logfire Software and _Logfire Cloud_ located
[here](../index.md) or at other locations as _PSI_ may provide.

### Intellectual Property Rights

Means patent rights (including patent applications and disclosures), copyrights,
trademarks, trade secrets, know-how, and any other intellectual property rights and all goodwill associated therewith,
recognized in any country or jurisdiction in the world.

### Order

Means (a) an ordering document for a _Logfire Cloud_, Support Services, and/or any professional advisory and
training services, agreed upon by the Parties, and referencing these _Logfire Terms_, or (b) _Logfire Cloud_ selected
and activated by Customer via the Site, including any selected Support Services.

### "Parties" and "Party"

Means _PSI_ and the Customer jointly and separately.

### Site

Means the locations designated by _PSI_, which may include subdomains or subpages within _PSI_'s
websites, including [logfire.dev](https://logfire.dev) and [pydantic.dev](https://pydantic.dev), or other locations or
methods of providing access to, use of, or information about _Logfire Cloud_ or Logfire Software.

### Support Services

Means the applicable support and maintenance service that Customer purchases for _Logfire Cloud_, as may be more fully
described in the Order and these _Logfire Terms_.

### Logfire Software

Means the _Logfire Cloud_ software, the Logfire SDK and related Documentation.
